the page display this message..:Change this error message for
exceptions thrown outside of an action (like in Dispatcher setups or
broken Ruby code) in public/500.html

i have search the group and found this solution  :

> Session.create_new_id has become Session#create_new_id
> (http://tinyurl.com/5j7nx). This was reported on Nov 27
> [ruby-core:3832],
> and fixed on Nov 29 (http://tinyurl.com/3pvrw).

Ahh, okay. So if people see this error they'll have to apply
http://tinyurl.com/3pvrw or update to the CVS version. Gotcha. Thanks!

http://groups.google.com/group/comp.lang.ruby/browse_thread/thread/15b38bbf7c12b429/aa8a534928048c0c?lnk=gst&q=Change+this+error+message+for+exceptions+thrown+outside+of+an+action&rnum=2&hl=en#aa8a534928048c0c

but when copy the code to change the /ruby-1.8.5/lib/cgi/session.rb
i still get the same error message,,,why?
 the apply  means this ?
or ,how can i update to the cvs version,??i am too young that's my
fault..
thanks in advance,,really confused me,i am only doing the depot example
and can't go on now...